PDA

View Full Version : Question About Older Versions Of Ie



Guest
10-15-2003, 06:54 PM
I know in the recent versions of IE, they essentially work with your OS, if you've got Windows that is. Meaning you can't really uninstall it or have multiple versions of IE on your computer, as installing a different version, be it newer or older, would overwrite what you've got. So anyway, I was wondering if this was just so since Windows 95/98, when they integrated the net with the OS more (like Active Desktop and such) or has it always been this way? I was wanting to download some older (like IE 1.0 and 2.0) versions just to see how things were but didn't want to risk messing with my computer. Any help would be appreciated, as I'm not sure what I could google for to find out this info for myself. Thanks!

locustfurnace
10-15-2003, 07:29 PM
Windows has integrated IE for a long time now, I think as far back as Win95, since you can essentially use the Windows Explorer filemanager just as easily as using IE

Using an OLD version of IE, such as 1.0 should be ok, IF it will install, and thinking on that, the old version of IE 1.0 i do believe dont install in the way current IE versions do, the old versions would just unzip or expand, without all the registration.
Now using the old versions of IE wont make you happy, since the HTML rendering engine is OLD, such as v1.0, and many many mnay pages will not load or even display for you. And since so many people think javascript is so important in html pages, and the old version wont understand the JS, again, you wont see alot of the pages you want to.
I know this because when i recently was setting up a old WIndows 3.11WFW machine, and i was shuffling through the different versions of Windows to find one that would work well on the box, i tried alot of the old IE apps on it.
The only decently useable version i found that dispalyed enough pages was one i had installed on an older MacPPC, and that was IE4.5.

you should not need to worry about installing and older version and messing your system up, since Windows wont let you downgrade to a lower version, this would prevent messing things up.
But the older versions that do not install as they do today, such as 1.0 or 2.0 or maybe 3/4.0 will just unzip. with out all the OS modifications.

If your using an older versions of Windows before Windows 95, such as 3.11, you should not have to worry about trying diferent versions of IE. Since the Windows registry was not as problematic then as it became and is today.
The registry back in 3.11 is just more like a text file with settings and associations.

Guest
10-18-2003, 02:12 AM
Ahh, I was just really wanting to see what things looked like on the browser, no big whoop. I'm on Windows XP so it's definitely not necessary for me to install them, just curious is all.

Thanks for your help! :)

locustfurnace
10-18-2003, 02:37 AM
welcome
yea, you wont be losing anything by not trying them out, sicne you'll most likley be presented with
This Page requires IE 5.x, please upgrade.
and all those similar error messages

JM
10-20-2003, 02:23 AM
I have IE 3, 16 bit.
I assume because in the 16 bit days, IE wasn't intergrated.